%define upstream_name Unexpected
%define upstream_version 1.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Exception class composed from traits
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/PJFL/unexpected/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::StackTrace) >= 1.340.0
BuildRequires: perl(Exporter::Tiny) >= 0.42.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Package::Stash) >= 0.370.0
BuildRequires: perl(Sub::Install) >= 0.928.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Requires) >= 0.80.0
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.2
BuildRequires: perl(namespace::autoclean) >= 0.260.0
BuildRequires: perl(strictures) >= 1.5.4
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
An exception class that supports error messages with placeholders, a
throw method with automatic re-throw upon detection of self, conditional
throw if an exception was caught and a simplified stack trace in
addition to the error message with full stack trace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.1-6.mga10
+ Revision: 2208669
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.1-5.mga9
+ Revision: 1819070
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.1-4.mga8
+ Revision: 1506903
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-3.mga7
+ Revision: 1287149
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.0.1-2.mga7
+ Revision: 1167217
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 1.0.1-1.mga7
+ Revision: 1160821
- update to 1.0.1

* Sun Jun 19 2016 pterjan <pterjan> 0.42.1-3.mga6
+ Revision: 1035434
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.42.1-2.mga6
+ Revision: 971344
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.42.1-1.mga6
+ Revision: 891571
- update to 0.42.1

* Mon Sep 28 2015 sander85 <sander85> 0.41.1-1.mga6
+ Revision: 884844
- update to 0.41.1

* Sun Sep 06 2015 sander85 <sander85> 0.40.1-1.mga6
+ Revision: 873667
- update to 0.40.1

* Sat Jul 04 2015 sander85 <sander85> 0.38.1-1.mga6
+ Revision: 850418
- update to 0.38.1

* Sun Oct 19 2014 pterjan <pterjan> 0.34.1-1.mga5
+ Revision: 791838
- 0.34.1

* Wed Oct 15 2014 umeabot <umeabot> 0.30.1-3.mga5
+ Revision: 742000
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.1-2.mga5
+ Revision: 686781
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.30.1-1.mga5
+ Revision: 672932
- update to 0.30.1

* Thu Jun 26 2014 jquelin <jquelin> 0.23.2-1.mga5
+ Revision: 640021
- update to 0.23.2

* Fri Mar 14 2014 jquelin <jquelin> 0.22.1-1.mga5
+ Revision: 603684
- removing failing test on buildsystem
- update to 0.22.1

* Sat Oct 19 2013 umeabot <umeabot> 0.5.3-2.mga4
+ Revision: 530768
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 sander85 <sander85> 0.5.3-1.mga4
+ Revision: 459824
- imported package perl-Unexpected

